# Copyright (C) 2006-2016 Oracle. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, version 2.  This program is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.  You should have received a copy of the GNU
# General Public License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 021110-1307, USA.

import logging
import signal

from agent.lib.daemon import init_log
from agent.lib.stats import StatusCollector


def serve_forever():
    logging.info('Status server started.')
    collector = StatusCollector()

    def sig_handler(sig, frame):
        collector.update_interval()

    signal.signal(signal.SIGHUP, sig_handler)
    collector.run()


if __name__ == '__main__':
    init_log()
    serve_forever()
