# Copyright (C) 2006-2017 Oracle. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, version 2.  This program is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.  You should have received a copy of the GNU
# General Public License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 021110-1307, USA.

import os
from ConfigParser import ConfigParser
from agent.lib.constants import CONFIG_DIR


def get_config():
    config = ConfigParser()
    config.read(os.path.join(CONFIG_DIR, "agent.ini"))
    return config


def get_agent_attr(section_name, config_var, default_value):
    #
    # Get value of an attribute from agent.ini file.
    # If the attribute does not exist, return default_value.
    #
    try:
        return get_config().get(section_name, config_var)
    except:
        return default_value
