# Copyright (C) 2006-2016 Oracle. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, version 2.  This program is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.  You should have received a copy of the GNU
# General Public License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 021110-1307, USA.

# config
CONFIG_DIR = "/etc/ovs-agent"

# db
LOCAL_DB_HOME = "%s/db" % CONFIG_DIR
LOCAL_SERVER_DB = "server"
LOCAL_REPO_DB = "repository"
LOCAL_APROC_DB = "aproc"
LOCAL_EXPORTS_DB = "exports"
LOCAL_TRANSACTION_DB = "transaction"

# repo
OVS_REPO_VERSION = "3.0"
OVS_REPO_HEAD = "/OVS/Repositories/"
OVS_REPO_INFO = ".ovsrepo"
OVS_REPO_META = ".ovsmeta"

# nfs mount
NFS_MOUNT = "/nfsmnt"

# pool fs
POOLFS_MOUNT = "/poolfsmnt"
POOLFS_META = ".ovspoolfs"
POOLFS_VERSION = "3.0"

# static membership states
MEMBERSHIP_STATE_UNOWNED = "Unowned"
MEMBERSHIP_STATE_OWNED = "Owned"
MEMBERSHIP_STATE_POOLED = "Pooled"
MEMBERSHIP_STATE_HB_CONFIGURED = "Heartbeat_Configured"
MEMBERSHIP_STATE_CLUSTERED = "Clustered"

# dynamic cluster states
CLUSTER_STATE_OFFLINE = "Offline"
CLUSTER_STATE_ONLINE = "Online"
CLUSTER_STATE_HEARTBEATING = "Heartbeating"
CLUSTER_STATE_POOLFS_MOUNTED = "PoolFS_Mounted"
CLUSTER_STATE_DLM_READY = "DLM_Ready"

# unknown state
STATE_UNKNOWN = "Unknown"

# notification server
NOTIFICATION_SERVER_ADDRESS = '/var/run/ovs-agent/notification-server.sock'

MANAGER_SRC_IP = None

# sleep on error
SLEEP_ON_ERR = 60

# lock files
CLUSTER_LOCK = '/var/run/ovs-agent/cluster.lock'

SSL_SERVER_PRIVATE_KEY = '/etc/ovs-agent/cert/key.pem'
SSL_SERVER_CERTIFICATE = '/etc/ovs-agent/cert/certificate.pem'
SSL_SIGNED_SERVER_CERTIFICATE = '/etc/ovs-agent/cert/certificate-signed.pem'
SSL_MANAGER_CERTIFICATE = '/etc/ovs-agent/cert/certificate-manager.pem'

# OVN
OVN_CONF_DIR = '/etc/cloudnet'
OVN_CONF = '%s/ovn.conf' % OVN_CONF_DIR
