# Copyright (C) 2006-2016 Oracle. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, version 2.  This program is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.  You should have received a copy of the GNU
# General Public License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 021110-1307, USA.

import logging

from agent.lib.linux import init_repository_partition, get_rpm_version
from agent.lib.ocfs2 import init_pool_filesystem
from agent.lib.xenxm import set_cpu_weight


def init_target():
    try:
        logging.info('ovs-agent: %s', get_rpm_version('ovs-agent'))
        logging.info('kernel-uek: %s', get_rpm_version('kernel-uek'))
        logging.info('xen: %s', get_rpm_version('xen'))
        logging.info('rpm: %s', get_rpm_version('rpm'))
    except Exception, err:
        logging.warn('Error getting system info: %s', err)
    try:
        set_cpu_weight(0, 65535)
    except Exception, err:
        logging.warn('Error setting dom0 cpu weight: %s', err)
    try:
        init_pool_filesystem()
    except Exception, err:
        logging.warn('Error init pool filesystem: %s', err)
    init_repository_partition()
